# GimpUi.prop_string_combo_box_new

    @accepts(GObject.Object, unicode, Gtk.TreeModel, int, int)
    @returns(Gtk.Widget)
    def prop_string_combo_box_new(config, property_name, model, id_column, label_column):
        # Python wrapper for gimp_prop_string_combo_box_new()

Creates a GimpUi.StringComboBox widget to display and set the specified property. The contents of the widget are determined by @store.

Since 2.4

config

  Object to which property is attached.

property_name

  Name of int property controlled by combo box.

model

  Gtk.TreeStore holding list of values

id_column

  column in @store that holds string IDs

label_column

  column in @store that holds labels to use in the combo-box

Returns